use leptos::*;
use crate::locales::trl;
use crate::pages::company_info::CompanyInfo;

#[component]
pub fn Settings() -> impl IntoView {
    view! {
        <h1>{trl("Settings")}</h1>
        <div class="row mb-5">
            <div class="col-md-6 col-lg-4 mb-3">
                <CompanyInfo/>
            </div>
            <div class="col-md-6 col-lg-4 mb-3">
              <div class="card h-100">
                <div class="card-body">
                  <h5 class="card-title">"Card title"</h5>
                  <h6 class="card-subtitle text-muted">"Support card subtitle"</h6>
                </div>
                <img class="img-fluid" src="../assets/img/elements/13.jpg" alt="Card image cap" />
                <div class="card-body">
                  <p class="card-text">"Bear claw sesame snaps gummies chocolate."</p>
                  <a href="javascript:void(0);" class="card-link">"Card link"</a>
                  <a href="javascript:void(0);" class="card-link">"Another link"</a>
                </div>
              </div>
            </div>
            <div class="col-md-6 col-lg-4 mb-3">
              <div class="card h-100">
                <div class="card-body">
                  <h5 class="card-title">"Card title"</h5>
                  <h6 class="card-subtitle text-muted">"Support card subtitle"</h6>
                  <img
                    class="img-fluid d-flex mx-auto my-4"
                    src="../assets/img/elements/4.jpg"
                    alt="Card image cap"
                  />
                  <p class="card-text">"Bear claw sesame snaps gummies chocolate."</p>
                  <a href="javascript:void(0);" class="card-link">Card link</a>
                  <a href="javascript:void(0);" class="card-link">Another link</a>
                </div>
              </div>
            </div>
          </div>
    }
}